>From 7073983154e962cbfea32aaa710eea0429413581 Mon Sep 17 00:00:00 2001
From: Marcin Szewczyk <marcin.szewczyk@wodny.org>
Date: Thu, 12 Apr 2012 15:54:33 +0200
Subject: [PATCH] use findmnt instead of df for finding /'s device

---
 extlinux.postinst |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/extlinux.postinst b/extlinux.postinst
index b09f61b..86d33b5 100644
--- a/extlinux.postinst
+++ b/extlinux.postinst
@@ -15,7 +15,14 @@ case "${1}" in
 			true)
 				extlinux-update
 
-				_DEVICE="$(df -P /boot/extlinux | tail -1 | awk '{ print $1 }' | sed -e 's|[0-9]||g')"
+				_DEVICE=
+				_PATH=/boot/extlinux
+				while true; do
+					_DEVICE="$(findmnt -n --raw -c -o SOURCE "${_PATH}/" | sed -e 's|[0-9]||g')"
+					[ -n "${_DEVICE}" ] && break
+					[ -z "${_PATH}" ] && break
+					_PATH=${_PATH%/*}
+				done
 
 				extlinux-install "${_DEVICE}"
 				;;
-- 
1.7.9.1

